Skip to main content

Get inquired information

GET https://wallet.paysera.com/rest/v1/transaction/{transactionKey}/inquired-information

Get information that was requested from payer using Inquiry objects.

Only accepted inquiries are returned.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
transactionKeystring✓Transaction key

Example​

Request​

GET https://wallet.paysera.com/rest/v1/transaction/{transactionKey}/inquired-information
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"items": [
{
"inquiry_identifier": "pDAlAZ3z",
"item_identifier": "k9rFrYb0",
"value": "12345678901"
}
]
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com

RESPONSE

Inquired information retrieved
{
"items": [
{
"inquiry_identifier": "pDAlAZ3z",
"item_identifier": "k9rFrYb0",
"value": "12345678901"
}
]
}